[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Trouble updating (trashed my X setup)



On Wed, Mar 03, 1999 at 06:00:10PM +0100, Peter Karlsson wrote:
> I was doing a "apt-get dist-upgrade" to update to the latest versions, when
> installing the xserver-common package didn't work. This has now trashed my
> X installation completely, so it doesn't work at all.
> 
> This is what happens when I try to install it:
> 
> # dpkg --install /tmp/xserver-common_3.3.2.3a-11.deb 
> (Reading database ... 54635 files and directories currently installed.)
> Preparing to replace xserver-common 3.3.2.3a-8 (using .../xserver-common_3.3.2.3a-11.deb) ...
> Unpacking replacement xserver-common ...
> Segmentation Fault

Urp.  This looks a lot like dpkg bug #30090.

Just for grins, I note you're in .se.  Do you happen to have the LANG or
any of the LC_* variables set?  If so, try unsetting them and PLEASE let 
me know if that fixes the problem or changes nothing.

I suspect it won't, though.  The next thing to do is try the --debug option
to dpkg, and/or use strace to find out exactly where this problem is
occuring.

If we can track down this awful bug, maybe Ian Jackson (dpkg author) can
fix it.

-- 
G. Branden Robinson              |   America is at that awkward stage.  It's
Debian GNU/Linux                 |   too late to work within the system, but
branden@ecn.purdue.edu           |   too early to shoot the bastards.
cartoon.ecn.purdue.edu/~branden/ |   --Claire Wolfe

Attachment: pgpU2c1pjTBWN.pgp
Description: PGP signature


Reply to: